Package com.avaya.clientservices.call

## Enum AlertType

- java.lang.Object
- - java.lang.Enum<AlertType>
  - - com.avaya.clientservices.call.AlertType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AlertType>`

      public enum AlertType
      extends java.lang.Enum<AlertType>

  Alert types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABBREVIATED_RING` | Alert type of abbreviated ring
    `AUTO_CALLBACK` | Alert type indicating that it is auto callback
    `AUTOMATIC_CALL_DISTRIBUTION_EXTERNAL` | Alert type indicating that it is distributed automatic external call
    `AUTOMATIC_CALL_DISTRIBUTION_INTERNAL` | Alert type indicating that it is distributed automatic internal call
    `DELAYED_RING` | Alert type of delayed ring
    `DIRECT_AGENT_CALL_EXTERNAL` | Alert type indicating that it is direct external agent call
    `DIRECT_AGENT_CALL_INTERNAL` | Alert type indicating that it is direct internal agent call
    `DIRECT_AGENT_CALL_PRIORITY` | Alert type indicating that it is direct priority call from agent
    `EXTERNAL` | External call alert type
    `HOLD_RECALL` | Alert type indicating that it is recall after hold
    `INTERCOM` | Intercom alert type
    `INTERNAL` | Internal call alert type
    `NONE` | None of the alert types
    `PRIORITY` | Priority call alert type
    `TRANSFER_RECALL` | Alert type indicating that it is recall after transfer
    `UNSPECIFIED` | Unspecified

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AlertType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AlertType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final AlertType UNSPECIFIED

      Unspecified

    - #### NONE

          public static final AlertType NONE

      None of the alert types

    - #### INTERNAL

          public static final AlertType INTERNAL

      Internal call alert type

    - #### EXTERNAL

          public static final AlertType EXTERNAL

      External call alert type

    - #### PRIORITY

          public static final AlertType PRIORITY

      Priority call alert type

    - #### INTERCOM

          public static final AlertType INTERCOM

      Intercom alert type

    - #### AUTO_CALLBACK

          public static final AlertType AUTO_CALLBACK

      Alert type indicating that it is auto callback

    - #### HOLD_RECALL

          public static final AlertType HOLD_RECALL

      Alert type indicating that it is recall after hold

    - #### TRANSFER_RECALL

          public static final AlertType TRANSFER_RECALL

      Alert type indicating that it is recall after transfer

    - #### DIRECT_AGENT_CALL_INTERNAL

          public static final AlertType DIRECT_AGENT_CALL_INTERNAL

      Alert type indicating that it is direct internal agent call

    - #### DIRECT_AGENT_CALL_EXTERNAL

          public static final AlertType DIRECT_AGENT_CALL_EXTERNAL

      Alert type indicating that it is direct external agent call

    - #### DIRECT_AGENT_CALL_PRIORITY

          public static final AlertType DIRECT_AGENT_CALL_PRIORITY

      Alert type indicating that it is direct priority call from agent

    - #### AUTOMATIC_CALL_DISTRIBUTION_INTERNAL

          public static final AlertType AUTOMATIC_CALL_DISTRIBUTION_INTERNAL

      Alert type indicating that it is distributed automatic internal call

    - #### AUTOMATIC_CALL_DISTRIBUTION_EXTERNAL

          public static final AlertType AUTOMATIC_CALL_DISTRIBUTION_EXTERNAL

      Alert type indicating that it is distributed automatic external call

    - #### ABBREVIATED_RING

          public static final AlertType ABBREVIATED_RING

      Alert type of abbreviated ring

    - #### DELAYED_RING

          public static final AlertType DELAYED_RING

      Alert type of delayed ring

  - ### Method Detail

    - #### values

          public static AlertType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlertType c : AlertType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlertType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null